
%define plugin	imonlcd
%define name	vdr-plugin-%plugin
%define version	0.0.5
%define snap	0
%define rel	5

Summary:	VDR plugin: Control an iMON LCD
Name:		%name
Version:	%version
%if %snap
Release:	%mkrel 1.%snap.%rel
%else
Release:	%mkrel %rel
%endif
Group:		Video/Utilities
License:	GPLv3
URL:		http://projects.vdr-developer.org/projects/plg-imonlcd
%if %snap
# rm -rf vdr-plugin-imonlcd
# git clone git://community.xeatre.tv/vdr-plugin-imonlcd.git
# cd vdr-plugin-imonlcd
# git archive --prefix=imonlcd-$(date +%Y%m%d)/ --format=tar HEAD | bzip2 > ../vdr-imonlcd-$(date +%Y%m%d).tar.bz2
Source:		vdr-%plugin-%snap.tar.bz2
%else
Source:		vdr-%plugin-%version.tgz
%endif
BuildRequires:	vdr-devel >= 1.6.0
BuildRequires:	freetype2-devel
Requires:	vdr-abi = %vdr_abi

%description
A Video Disk Recorder plugin that shows information about the
current state of VDR on an iMON LCD screen.

%prep
%if %snap
%setup -q -n %plugin-%snap
%else
%setup -q -n %plugin-%version
%endif
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# Sets the lcd-device to other device than /dev/lcd0
var=LCD_DEVICE
param="-d LCD_DEVICE"
# sets the protocol of lcd-device:
# '0038'	For LCD with ID 15c2:0038 SoundGraph Inc (default)
# 'ffdc'	For LCD with ID 15c2:ffdc SoundGraph Inc
var=PROTOCOL
param="-p PROTOCOL"
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README HISTORY


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.0.5-5.mga3
+ Revision: 385274
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.0.5-4.mga3
+ Revision: 325508
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.0.5-3.mga2
+ Revision: 221045
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.0.5-2.mga2
+ Revision: 214799
- new version 0.0.5
- drop include patch, applied upstream
- drop obsolete scriptlets
- update URL
- imported package vdr-plugin-imonlcd

